1. Media Generation
XPiki
  • Media Generation
    • Image Generation
      POST
    • Video Generation
      POST
    • Polling Task
      GET
    • SSE Events
      GET
    • Get Output
      GET
    • Cancel Task
      POST
  • Text Generation
    • Chat Completions
      POST
  • List Models
    GET
  1. Media Generation

Image Generation

Developing
POST
https://api.xpiki.com/v1/images

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.xpiki.com/v1/images' \
--header 'Authorization: Bearer <Your API Key>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
  "model": "gpt-image-2",
  "prompt": "A cinematic product photo of a red sneaker on wet asphalt",
  "aspect_ratio": "1:1"
}'
Response Response Example
{}
Modified at 2026-06-20 12:41:33
Next
Video Generation
Built with